<?php

namespace AppBundle\Repository;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * UserRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class UserRepository extends \Doctrine\ORM\EntityRepository
{
  public function findEmployeesByMyJobs($user, $project) {
      $result = new ArrayCollection();

      foreach ($user -> getSupervising() as $job) {
          if ($job -> getProject() != $project) continue;

          $midResult = $this->_em->createQuery(

              'SELECT u FROM AppBundle:User u JOIN u.attending j WHERE j.id = :j AND j.project = :p'

          )

              ->setParameter(":p", $project)
              ->setParameter(":j", $job -> getId())

              ->getResult();
          $result -> set ($job -> getName(), $midResult);

      }

      return $result;
  }
}
